aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-06-02 08:32:46 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-06-02 08:32:46 +0000
commit3b1fe5c420323bcd8159cfee287322bca4a5fdf4 (patch)
tree30b0a149a6e28b06bde352c6065296ef2a77e383 /sci-physics
parentMore cleanups. (diff)
downloadsci-3b1fe5c420323bcd8159cfee287322bca4a5fdf4.tar.gz
sci-3b1fe5c420323bcd8159cfee287322bca4a5fdf4.tar.bz2
sci-3b1fe5c420323bcd8159cfee287322bca4a5fdf4.zip
geant: patch bump
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@1121 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/geant/ChangeLog4
-rw-r--r--sci-physics/geant/Manifest6
-rw-r--r--sci-physics/geant/geant-4.9.1_p02.ebuild (renamed from sci-physics/geant/geant-4.9.1_p01.ebuild)46
3 files changed, 41 insertions, 15 deletions
diff --git a/sci-physics/geant/ChangeLog b/sci-physics/geant/ChangeLog
index 8df637dd0..7ed7fdc02 100644
--- a/sci-physics/geant/ChangeLog
+++ b/sci-physics/geant/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 02 Jun 2008; S├ębastien Fabbro <bicatali@gentoo.org>
+ -geant-4.9.1_p01.ebuild, +geant-4.9.1_p02.ebuild:
+ Upstream post-version patch bump + some fixes from Benjamin Bennier.
+
16 Apr 2008; S├ębastien Fabbro <bicatali@gentoo.org>
geant-4.9.1_p01.ebuild:
Fixed a wrong sed command in env generation
diff --git a/sci-physics/geant/Manifest b/sci-physics/geant/Manifest
index be06dddd8..aea7533ba 100644
--- a/sci-physics/geant/Manifest
+++ b/sci-physics/geant/Manifest
@@ -5,8 +5,8 @@ DIST G4RadioactiveDecay.3.2.tar.gz 761070 RMD160 1f797977c0c66722f4b032ac546c26e
DIST PhotonEvaporation.2.0.tar.gz 7506068 RMD160 24d46b08b2ffeca5b3be186baffb650b99accc97 SHA1 df3b4994c7248da7a226c186be747c4b823d34fa SHA256 5aac0ce683ca23274a7736c8e8911d8cf32d2bf33aab33a9a23126664762d61d
DIST geant321_3.21.14.dfsg-8.diff.gz 41909 RMD160 4edbe5d3dd93a78198fa2d2d83770c8b85eee4de SHA1 39f48c4263f543b74eee6095c11f5ade9798f253 SHA256 785277dab1e1d3e17d60c85f3826bc67bbd6de7e6a6d40ff7af901371c4d2ce1
DIST geant321_3.21.14.dfsg.orig.tar.gz 10922928 RMD160 253b35bd9cda82c2213ec042274f7e6ff6b9e333 SHA1 ae6f39ccc18eacd576a3493992db5da3b3d3b128 SHA256 186fe98a08ad1de39f68698a09a46e7c2f14c37b22f8f990257b0bd66215c5b4
-DIST geant4.9.1.p01.tar.gz 17528409 RMD160 e8bb8df4138d4d8e662eae86b7c2a01813f6621e SHA1 87e511c257c31d579371d745e7c17eae58d3fc9c SHA256 6a634d9e6b4eb201f54c97882cef11ce8f1e6745864d6e5830c6c7b198df8ba4
+DIST geant4.9.1.p02.tar.gz 17538957 RMD160 284c8bc5f7786fda50c8c5954bdf8dea2aace2e5 SHA1 216b705635c838e0d86878953b82525ba9b9ed51 SHA256 0c8c0a5c2e091edd658637d38dea1fa3879493df7ad008cd9d88138758c9402d
EBUILD geant-3.21.14-r2.ebuild 1777 RMD160 41c10364420d4c16f97db9afe2ab2c5ee7aa9172 SHA1 d5262f3d33f3bc0ebac0a7829acf1d9f60207749 SHA256 65f1efc85ff9cb07e405413e011fb8b3e5b154de36706015cb6d1c1a01f03229
-EBUILD geant-4.9.1_p01.ebuild 5934 RMD160 7252b81cd6c1004ec697d278e309f248c9bd300d SHA1 4e00feb23b0c731f1e00b8cd1f83fec8030809c8 SHA256 5291bd679cb2199f1d19acefca75e8c967a3b2c8b3333aa9126b8535eab991b8
-MISC ChangeLog 1385 RMD160 187f5dee7f13bb4e10c82d890e76732d44a03d1a SHA1 b08d5bd1699581b47f17395b0da86379466d70ea SHA256 7f8a636acf9d6897b8ca170936d72d11ade723de62424fd27f953c9eab93606b
+EBUILD geant-4.9.1_p02.ebuild 6690 RMD160 30592e1de4a2d9f6ee85ac4401212725371bcfd1 SHA1 8f87fc4285fa4742ff3da63bed19328c1353205c SHA256 b56c0da7c47e37c55aa5112a4e40391e42c2eb97b5c3a25a5d05dda6249defe7
+MISC ChangeLog 1564 RMD160 52b62f42ccaf709e01c30c950e7e7bb2433c0e91 SHA1 d2cc7cb7b90fc419d8dd5935b76e9b329cad0bd8 SHA256 3806fba3307adbfd0e890ac34c6ac28be42f9e4627a1fc4ef85442640ae174df
MISC metadata.xml 552 RMD160 d7d3afe7f12639592a2f7356d75563ee6b84b262 SHA1 831756c23df5293d3f114679bd3d59e6f6e15ec4 SHA256 9375e293406efe2a3810fdc3e0d75fed9be986db1d79b845f3e4fc4e81edb37f
diff --git a/sci-physics/geant/geant-4.9.1_p01.ebuild b/sci-physics/geant/geant-4.9.1_p02.ebuild
index b60230b70..5e49d3987 100644
--- a/sci-physics/geant/geant-4.9.1_p01.ebuild
+++ b/sci-physics/geant/geant-4.9.1_p02.ebuild
@@ -1,5 +1,5 @@
# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v3
+# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI="1"
@@ -14,7 +14,7 @@ MY_P=${PN}$(replace_version_separator 3 .)
DESCRIPTION="CERN's detector description and simulation Tool"
HOMEPAGE="http://www.geant4.org/"
-SRC_COM="http://geant4.web.cern.ch/geant4/support/source/"
+SRC_COM="http://geant4.web.cern.ch/geant4/support/source"
SRC_URI="${SRC_COM}/${MY_P}.tar.gz"
GEANT4_DATA="G4NDL.3.12
G4EMLOW.5.1
@@ -47,7 +47,7 @@ S="${WORKDIR}/${MY_P}"
pkg_setup() {
FORTRAN="gfortran g77 ifc"
use geant3 && fortran_pkg_setup
- eval unset ${!G4_*}
+ eval unset ${!G4*}
}
src_unpack() {
@@ -68,6 +68,14 @@ src_unpack() {
sed -i \
-e '/$(G4LIB)\/$(G4SYSTEM)/d' \
config/architecture.gmk || die "sed architecture.gmk failed"
+ sed -i \
+ -e 's:$(G4LIB)/$(G4SYSTEM):$(G4TMP):g' \
+ config/common.gmk || die "sed common.gmk failed"
+ sed -i \
+ -e 's:$(G4LIB)/$(G4SYSTEM):$(G4TMP):g' \
+ -e 's:$(G4BIN)/$(G4SYSTEM):$(G4TMP):g' \
+ -e 's:$(G4TMP)/$(G4SYSTEM):$(G4TMP):g' \
+ source/GNUmakefile || die "sed GNUmakefile failed"
}
src_compile() {
@@ -141,27 +149,40 @@ g4_create_env_script() {
LDPATH=${G4LIB}
CLHEP_BASE_DIR=${CLHEP_BASE_DIR}
EOF
+
+ # detailed data file locations
+ if $(use data); then
+ export G4LEVELGAMMADATA="${G4DATA}/PhotonEvaporation2.0"
+ export G4RADIOACTIVEDATA="${G4DATA}/RadioactiveDecay3.2"
+ export G4LEDATA="${G4DATA}/G4EMLOW5.1"
+ export G4NEUTRONHPCROSSSECTIONS="${G4DATA}/G4NDL3.12"
+ fi
+
# read env variables defined upto now
printenv | grep ^G4 | uniq >> ${g4env}
-
# define env vars for capabilities we can build into user projects
printenv | uniq | \
sed -n -e '/^G4/s:BUILD\(.*\)_DRIVER:USE\1:gp' >> ${g4env}
-
doenvd ${g4env} || die "Installing environment scripts failed "
}
src_install() {
# install headers via make since we want them in a single directory
cd "${S}/source/"
+ einfo "Installing Geant4 headers"
emake includes || die 'Installing headers failed'
cd "${S}"
# but install libraries and Geant library tool manually
+ einfo "Installing Geant4 libraries"
insinto ${GEANT4_LIBDIR}
- doins -r lib/${G4SYSTEM}/* || die
+ doins tmp/*.so || die
+ doins tmp/libname.map || die
+ if use static; then
+ doins tmp/*.a || die
+ fi
exeinto ${GEANT4_LIBDIR}
- doexe lib/${G4SYSTEM}/liblist || die
+ doexe tmp/liblist || die
g4_create_env_script
@@ -171,13 +192,14 @@ src_install() {
# install data
if use data; then
+ einfo "Installing Geant4 data"
insinto ${G4DATA}
- pushd "${WORKDIR}"
+ pushd "${WORKDIR}" > /dev/null
for d in ${GEANT4_DATA}; do
local p=${d/.}
doins -r *${p/G4} || die "installing data ${d} failed"
done
- popd
+ popd > /dev/null
fi
# doc and examples
@@ -190,13 +212,13 @@ src_install() {
use examples && doins -r examples
# TODO: g4py will probably need a split ebuild since it seems to
- # rely on on geant4 existence.
+ # rely on on geant4 existence.
# TODO: momo with momo or java flag, and check java stuff
}
pkg_postinst() {
- elog "Geant4 projects are by default expected in each user's "
- elog "If you want to change, set \$G4WORKDIR to another directory"
+ elog "Geant4 projects are by default build in \$HOME/geant4."
+ elog "If you want to change, set \$G4WORKDIR to another directory."
elog
elog "Help us to improve the ebuild and dependencies in"
elog "http://bugs.gentoo.org/show_bug.cgi?id=212221"